import $ from 'jquery';

/**
 * Uklanja proizvod iz košarice.
 *
 * @param e
 */
function onRemoveFromCart(e)
{
    e.preventDefault();

    let $button = $(this),
        $row = $button.closest('.woocommerce-mini-cart-item');

    $row.block({
        message: null,
        overlayCSS: {
            opacity: 0.6
        }
    });

    $.post('?wc-ajax=remove_from_cart', { cart_item_key : $button.data('cart_item_key') }, function(response) {
        $(document.body).trigger('removed_from_cart', [response.fragments, response.cart_hash]);
    });
}

$(function() {
    $(document.body)
        .on('click', '.remove_from_cart_button', onRemoveFromCart);
});

